Bug 32296 - univention-ucc-software-update without policy
univention-ucc-software-update without policy
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 enhancement
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Erik Damrose
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 09:18 CEST by Janis Meybohm
Modified: 2014-06-12 09:20 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2013-08-22 09:18:19 CEST
Ticket#: 2013082121001597 ] Update UCC

At the moment there is no easy way to deploy an update (like done with univention-ucc-software-update) on a client without defining a UCC software update policy.

A switch should be added to univention-ucc-software-update (--force?) so that the user may update a UCC client without having to define and link a policy.
Comment 1 Moritz Muehlenhoff univentionstaff 2014-05-15 13:00:46 CEST
The tools now displays the following message when executed:

echo "The software update settings are configured through a 'UCC software settings' policy in the Univention Management Console."
echo "You can use --force to enforce an update for this system."
Comment 2 Erik Damrose univentionstaff 2014-05-21 10:19:47 CEST
Works fine in principle, but:

- Please remove the (apparently) wrongly pasted code introduced directly above the status message.
- I think it would be better to echo the --force notification only if no update will be performed.
# svn diff -r 50296:50297
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-21 11:06:33 CEST
Fixed in revision 50485
Comment 4 Erik Damrose univentionstaff 2014-05-21 11:21:12 CEST
OK: Removed code
OK: Changelog
Verified
Comment 5 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:09 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".